Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

Installing SilverStripe /

Getting SilverStripe up and running on your computer and on your web server.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Silverstripe 2.4 stable version PHP error while installation process


Reply


3 Posts   1251 Views

Avatar
ram

Community Member, 19 Posts

5 May 2010 at 5:46pm

Edited: 05/05/2010 6:34pm

Hi

today I have installing fresh silverstripe 2.4 stable version in my localhost system. all requirement are passed(see homepageinstallationScreenshot1.png) during installation pass, we get some php error (see phperrorscreenshot2.png). unable to go another step for installation. please let me know and do needful.

Regards,
ram
Ahsan Technologies
http://www.agriya.com, http://www.rayzz.net, http://www.anova.tv, http://www.isocial.in. http://www.markit.me

Avatar
Sean

Forum Moderator, 922 Posts

5 May 2010 at 9:14pm

Edited: 05/05/2010 9:16pm

What is your server setup?

An answer to the question is found here, on the PHP.net site: [url]http://nz.php.net/manual/en/domdocument.construct.php#84476[/url]

To summarise the above answer, remove "php_domxml.dll" from the extensions section of your php.ini file.
php_domxml.dll cannot co-exist with the original DOMDocument that is provided by PHP, hence why the constructor has the incorrect argument.

Cheers,
Sean

Avatar
ram

Community Member, 19 Posts

5 May 2010 at 10:08pm

Thanks for your reply.

Now working fine. thanks

Regards,
ram
Ahsan Technologies
http://www.agriya.com, http://www.rayzz.net, http://www.anova.tv, http://www.isocial.in, http://www.markit.me